diff --git a/testing/mozbase/mozrunner/mozrunner/devices/autophone.py b/testing/mozbase/mozrunner/mozrunner/devices/autophone.py
index 3b4913028e..b648a13f71 100644
--- a/testing/mozbase/mozrunner/mozrunner/devices/autophone.py
+++ b/testing/mozbase/mozrunner/mozrunner/devices/autophone.py
@@ -2,6 +2,7 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
+from __future__ import print_function
 import glob
 import json
 import logging
@@ -13,15 +14,15 @@ import sys
 import threading
 import time
 import which
-import BaseHTTPServer
-import SimpleHTTPServer
+import six.moves.BaseHTTPServer
+import six.moves.SimpleHTTPServer
 
 from mozbuild.virtualenv import VirtualenvManager
 from mozdevice import DeviceManagerADB
 from mozprocess import ProcessHandler
 
 
-class AutophoneRunner(object):
+class AutophoneRunner:
     """
        Supporting the mach 'autophone' command: configure, run autophone.
     """
@@ -47,7 +48,7 @@ class AutophoneRunner(object):
             self.build_obj.log(logging.WARN, "autophone", {},
                                "*** This will delete %s and reset your "
                                "'mach autophone' configuration! ***" % dir)
-            response = raw_input(
+            response = input(
                 "Proceed with deletion? (y/N) ").strip()
             if response.lower().startswith('y'):
                 os.remove(self.CONFIG_FILE)
@@ -64,7 +65,7 @@ class AutophoneRunner(object):
             with open(self.CONFIG_FILE, 'w') as f:
                 json.dump(self.config, f)
             if self.verbose:
-                print("saved configuration: %s" % self.config)
+                print(("saved configuration: %s" % self.config))
         except:
             self.build_obj.log(logging.ERROR, "autophone", {},
                                "unable to save 'mach autophone' "
@@ -79,10 +80,10 @@ class AutophoneRunner(object):
         """
         if os.path.exists(self.CONFIG_FILE):
             try:
-                with open(self.CONFIG_FILE, 'r') as f:
+                with open(self.CONFIG_FILE) as f:
                     self.config = json.load(f)
                 if self.verbose:
-                    print("loaded configuration: %s" % self.config)
+                    print(("loaded configuration: %s" % self.config))
             except:
                 self.build_obj.log(logging.ERROR, "autophone", {},
                                    "unable to load 'mach autophone' "
@@ -100,7 +101,7 @@ class AutophoneRunner(object):
         if not dir:
             dir = os.path.join(os.path.expanduser('~'), 'mach-autophone')
         if os.path.exists(os.path.join(dir, '.git')):
-            response = raw_input(
+            response = input(
                 "Run autophone from existing directory, %s (Y/n) " % dir).strip()
             if 'n' not in response.lower():
                 self.build_obj.log(logging.INFO, "autophone", {},
@@ -109,7 +110,7 @@ class AutophoneRunner(object):
         self.build_obj.log(logging.INFO, "autophone", {},
                            "Unable to find an existing autophone directory. "
                            "Let's setup a new one...")
-        response = raw_input(
+        response = input(
             "Enter location of new autophone directory: [%s] " % dir).strip()
         if response != '':
             dir = response
@@ -160,7 +161,7 @@ class AutophoneRunner(object):
         keep_going = True
         device_ini = os.path.join(self.config['base-dir'], 'devices.ini')
         if os.path.exists(device_ini):
-            response = raw_input(
+            response = input(
                 "Use existing device configuration at %s? (Y/n) " % device_ini).strip()
             if 'n' not in response.lower():
                 self.build_obj.log(logging.INFO, "autophone", {},
@@ -170,10 +171,10 @@ class AutophoneRunner(object):
         self.build_obj.log(logging.INFO, "autophone", {},
                            "You must configure at least one Android device "
                            "before running autophone.")
-        response = raw_input(
+        response = input(
             "Configure devices now? (Y/n) ").strip()
         if response.lower().startswith('y') or response == '':
-            response = raw_input(
+            response = input(
                 "Connect your rooted Android test device(s) with usb and press Enter ")
             adb_path = 'adb'
             try:
@@ -187,10 +188,10 @@ class AutophoneRunner(object):
                 try:
                     adb_path = which.which('adb')
                 except which.WhichError:
-                    adb_path = raw_input(
+                    adb_path = input(
                         "adb not found. Enter path to adb: ").strip()
             if self.verbose:
-                print("Using adb at %s" % adb_path)
+                print(("Using adb at %s" % adb_path))
             dm = DeviceManagerADB(autoconnect=False, adbPath=adb_path, retryLimit=1)
             device_index = 1
             try:
@@ -232,7 +233,7 @@ class AutophoneRunner(object):
                            "describing the type(s) of test(s) to run.")
         test_options = []
         for ini in glob.glob(os.path.join(dir, 'tests', '*.ini')):
-            with open(ini, 'r') as f:
+            with open(ini) as f:
                 content = f.readlines()
                 for line in content:
                     if line.startswith('# @mach@ '):
@@ -248,14 +249,14 @@ class AutophoneRunner(object):
                                "These test manifests are available:")
             index = 1
             for option in test_options:
-                print("%d. %s" % (index, option[0]))
+                print(("%d. %s" % (index, option[0])))
                 index += 1
             highest = index - 1
             path = None
             while not path:
                 path = None
                 self.webserver_required = False
-                response = raw_input(
+                response = input(
                     "Select test manifest (1-%d, or path to test manifest) " % highest).strip()
                 if os.path.isfile(response):
                     path = response
@@ -284,7 +285,7 @@ class AutophoneRunner(object):
             response = ""
             default = self.config['test-manifest'] or ""
             while not os.path.isfile(response):
-                response = raw_input(
+                response = input(
                     "Enter path to a test manifest: [%s] " % default).strip()
                 if response == "":
                     response = default
@@ -305,13 +306,13 @@ class AutophoneRunner(object):
                 f.write("""\
 # Created by 'mach autophone'
 [runtests]
-xre_path = %s
-utility_path = %s
+xre_path = {}
+utility_path = {}
 console_level = DEBUG
 log_level = DEBUG
-time_out = 300""" % (xre_path, xre_path))
+time_out = 300""".format(xre_path, xre_path))
             if self.verbose:
-                print("Created %s with host utilities path %s" % (defaults_path, xre_path))
+                print(("Created {} with host utilities path {}".format(defaults_path, xre_path)))
         except:
             self.build_obj.log(logging.ERROR, "autophone", {},
                                "Unable to create %s" % defaults_path)
@@ -325,7 +326,7 @@ time_out = 300""" % (xre_path, xre_path))
         """
         defaults_path = os.path.join(self.config['base-dir'], 'configs', 'unittest-defaults.ini')
         if os.path.isfile(defaults_path):
-            response = raw_input(
+            response = input(
                 "Use existing unit test configuration at %s? (Y/n) " % defaults_path).strip()
             if 'n' in response.lower():
                 os.remove(defaults_path)
@@ -343,7 +344,7 @@ time_out = 300""" % (xre_path, xre_path))
                 self.build_obj.log(logging.INFO, "autophone", {},
                                    "Some tests require access to 'host utilities' "
                                    "such as xpcshell.")
-                xre_path = raw_input(
+                xre_path = input(
                     "Enter path to host utilities directory: ").strip()
                 if not xre_path or not os.path.isdir(xre_path) or \
                    not os.path.isfile(os.path.join(xre_path, 'xpcshell')):
@@ -366,7 +367,7 @@ time_out = 300""" % (xre_path, xre_path))
         s = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
         s.connect(('8.8.8.8', 0))
         ip = s.getsockname()[0]
-        response = raw_input(
+        response = input(
             "IP address of interface to use for phone callbacks [%s] " % ip).strip()
         if response == "":
             response = ip
@@ -381,10 +382,10 @@ time_out = 300""" % (xre_path, xre_path))
         if self.webserver_required:
             self.build_obj.log(logging.INFO, "autophone", {},
                                "Some of your selected tests require a webserver.")
-            response = raw_input("Start a webserver now? [Y/n] ").strip()
+            response = input("Start a webserver now? [Y/n] ").strip()
             parts = []
             while len(parts) != 2:
-                response2 = raw_input(
+                response2 = input(
                     "Webserver address? [%s:8100] " % self.ipaddr).strip()
                 if response2 == "":
                     parts = [self.ipaddr, "8100"]
@@ -496,7 +497,7 @@ time_out = 300""" % (xre_path, xre_path))
                 "Type 'trigger', 'help', 'quit', or an autophone command.")
         quitting = False
         while self.thread.isAlive() and not quitting:
-            response = raw_input(
+            response = input(
                 "autophone command? ").strip().lower()
             if response == "help":
                 self.run_process(['./ap.sh', 'autophone-help'], cwd=dir, dump=True)
@@ -545,7 +546,7 @@ quit
         highest = 4
         choice = 0
         while (choice < 1 or choice > highest):
-            response = raw_input(
+            response = input(
                 "Build selection type? (1-%d) " % highest).strip()
             try:
                 choice = int(response)
@@ -556,18 +557,18 @@ quit
         if choice == 1:
             options = ["latest"]
         elif choice == 2:
-            url = raw_input(
+            url = input(
                 "Enter url of build to test; may be an http or file schema ").strip()
             options = ["--build-url=%s" % url]
         elif choice == 3:
-            response = raw_input(
+            response = input(
                 "Enter Build ID, eg 20120403063158 ").strip()
             options = [response]
         elif choice == 4:
-            start = raw_input(
+            start = input(
                 "Enter start build date or date-time, "
                 "e.g. 2012-04-03 or 2012-04-03T06:31:58 ").strip()
-            end = raw_input(
+            end = input(
                 "Enter end build date or date-time, "
                 "e.g. 2012-04-03 or 2012-04-03T06:31:58 ").strip()
             options = [start, end]
@@ -577,7 +578,7 @@ quit
         self.build_obj.log(
             logging.INFO, "autophone", {},
             "If not specified, 'mozilla-central' is assumed.")
-        repo = raw_input(
+        repo = input(
             "Enter repository name: ").strip()
         if len(repo) > 0:
             options.extend(["--repo=%s" % repo])
@@ -585,7 +586,7 @@ quit
             self.build_obj.log(
                 logging.INFO, "autophone", {},
                 "You may optionally specify the build location, like 'nightly' or 'tinderbox'.")
-            location = raw_input(
+            location = input(
                 "Enter build location: ").strip()
             if len(location) > 0:
                 options.extend(["--build-location=%s" % location])
@@ -612,7 +613,7 @@ quit
         self.threadweb.start()
 
     def run_webserver(self):
-        class AutoHTTPRequestHandler(SimpleHTTPServer.SimpleHTTPRequestHandler):
+        class AutoHTTPRequestHandler(six.moves.SimpleHTTPServer.SimpleHTTPRequestHandler):
             # A simple request handler with logging suppressed.
 
             def log_message(self, format, *args):
@@ -620,7 +621,7 @@ quit
 
         os.chdir(self.config['base-dir'])
         address = (self.webserver_addr, self.webserver_port)
-        self.httpd = BaseHTTPServer.HTTPServer(address, AutoHTTPRequestHandler)
+        self.httpd = six.moves.BaseHTTPServer.HTTPServer(address, AutoHTTPRequestHandler)
         try:
             self.httpd.serve_forever()
         except KeyboardInterrupt:
@@ -633,7 +634,7 @@ quit
 
         if self.verbose:
             self.build_obj.log(logging.INFO, "autophone", {},
-                               "Running '%s' in '%s'" % (cmd, cwd))
+                               "Running '{}' in '{}'".format(cmd, cwd))
         proc = ProcessHandler(cmd, cwd=cwd, processOutputLine=_processOutput,
                               processStderrLine=_processOutput)
         proc.run()
@@ -647,5 +648,5 @@ quit
                 proc.kill(signal.SIGTERM)
         if not proc_complete:
             if not self.verbose:
-                print(proc.output)
+                print((proc.output))
         return proc_complete
diff --git a/testing/mozbase/mozrunner/mozrunner/devices/base.py b/testing/mozbase/mozrunner/mozrunner/devices/base.py
index b5cf2b58fb..a0d9004d38 100644
--- a/testing/mozbase/mozrunner/mozrunner/devices/base.py
+++ b/testing/mozbase/mozrunner/mozrunner/devices/base.py
@@ -1,4 +1,5 @@
-from ConfigParser import (
+from __future__ import print_function
+from configparser import (
     ConfigParser,
     RawConfigParser
 )
@@ -89,7 +90,7 @@ class Device(object):
                 break
             time.sleep(1)
         else:
-            print "timed out waiting for profiles.ini"
+            print("timed out waiting for profiles.ini")
 
         local_profiles_ini = tempfile.NamedTemporaryFile()
         self.dm.getFile(self.app_ctx.remote_profiles_ini, local_profiles_ini.name)
@@ -175,7 +176,7 @@ class Device(object):
         :param busybox: Path to busybox binary to install.
         """
         self.dm.remount()
-        print 'pushing %s' % self.app_ctx.remote_busybox
+        print(('pushing %s' % self.app_ctx.remote_busybox))
         self.dm.pushFile(busybox, self.app_ctx.remote_busybox, retryLimit=10)
         # TODO for some reason using dm.shellCheckOutput doesn't work,
         #      while calling adb shell directly does.
diff --git a/testing/mozbase/mozrunner/mozrunner/devices/emulator.py b/testing/mozbase/mozrunner/mozrunner/devices/emulator.py
index adeae27ed7..5a14aaa7ba 100644
--- a/testing/mozbase/mozrunner/mozrunner/devices/emulator.py
+++ b/testing/mozbase/mozrunner/mozrunner/devices/emulator.py
@@ -19,7 +19,7 @@ from .emulator_screen import EmulatorScreen
 from ..errors import TimeoutException
 
 
-class ArchContext(object):
+class ArchContext:
 
     def __init__(self, arch, context, binary=None, avd=None, extra_args=None):
         homedir = getattr(context, 'homedir', '')
@@ -49,7 +49,7 @@ class ArchContext(object):
             self.extra_args.extend(extra_args)
 
 
-class SDCard(object):
+class SDCard:
 
     def __init__(self, emulator, size):
         self.emulator = emulator
@@ -82,7 +82,7 @@ class BaseEmulator(Device):
         self.arch = ArchContext(kwargs.pop('arch', 'arm'), app_ctx,
                                 binary=kwargs.pop('binary', None),
                                 avd=kwargs.pop('avd', None))
-        super(BaseEmulator, self).__init__(app_ctx, **kwargs)
+        super().__init__(app_ctx, **kwargs)
         self.tmpdir = tempfile.mkdtemp()
         # These rely on telnet
         self.battery = EmulatorBattery(self)
@@ -125,7 +125,7 @@ class BaseEmulator(Device):
 
         devices = set(self._get_online_devices())
         now = datetime.datetime.now()
-        while (devices - original_devices) == set([]):
+        while (devices - original_devices) == set():
             time.sleep(1)
             # Sometimes it takes more than 60s to launch emulator, so we
             # increase timeout value to 180s. Please see bug 1143380.
@@ -150,7 +150,7 @@ class BaseEmulator(Device):
         if self.connected:
             return
 
-        super(BaseEmulator, self).connect()
+        super().connect()
         serial = self.serial or self.dm._deviceSerial
         self.port = int(serial[serial.rindex('-') + 1:])
 
@@ -158,7 +158,7 @@ class BaseEmulator(Device):
         """
         Cleans up and kills the emulator, if it was started by mozrunner.
         """
-        super(BaseEmulator, self).cleanup()
+        super().cleanup()
         if self.proc:
             self.proc.kill()
             self.proc = None
@@ -196,7 +196,7 @@ class Emulator(BaseEmulator):
 
     def __init__(self, app_ctx, arch, resolution=None, sdcard=None, userdata=None,
                  no_window=None, binary=None, **kwargs):
-        super(Emulator, self).__init__(app_ctx, arch=arch, binary=binary, **kwargs)
+        super().__init__(app_ctx, arch=arch, binary=binary, **kwargs)
 
         # emulator args
         self.resolution = resolution or '320x480'
@@ -218,7 +218,7 @@ class Emulator(BaseEmulator):
         """
         Arguments to pass into the emulator binary.
         """
-        qemu_args = super(Emulator, self).args
+        qemu_args = super().args
         qemu_args.extend([
             '-kernel', self.arch.kernel,
             '-sysdir', self.arch.sysdir,
@@ -245,7 +245,7 @@ class Emulator(BaseEmulator):
         if self.connected:
             return
 
-        super(Emulator, self).connect()
+        super().connect()
         self.geo.set_default_location()
         self.screen.initialize()
 
@@ -256,7 +256,7 @@ class Emulator(BaseEmulator):
         """
         Cleans up and kills the emulator, if it was started by mozrunner.
         """
-        super(Emulator, self).cleanup()
+        super().cleanup()
         # Remove temporary files
         self.userdata.close()
 
@@ -264,7 +264,7 @@ class Emulator(BaseEmulator):
 class EmulatorAVD(BaseEmulator):
 
     def __init__(self, app_ctx, binary, avd, port=5554, **kwargs):
-        super(EmulatorAVD, self).__init__(app_ctx, binary=binary, avd=avd, **kwargs)
+        super().__init__(app_ctx, binary=binary, avd=avd, **kwargs)
         self.port = port
 
     @property
@@ -272,7 +272,7 @@ class EmulatorAVD(BaseEmulator):
         """
         Arguments to pass into the emulator binary.
         """
-        qemu_args = super(EmulatorAVD, self).args
+        qemu_args = super().args
         qemu_args.extend(['-avd', self.arch.avd,
                           '-port', str(self.port)])
         qemu_args.extend(self.arch.extra_args)
@@ -285,4 +285,4 @@ class EmulatorAVD(BaseEmulator):
         env = os.environ
         env['ANDROID_AVD_HOME'] = self.app_ctx.avd_home
 
-        super(EmulatorAVD, self).start()
+        super().start()
diff --git a/testing/mozbase/mozrunner/mozrunner/devices/emulator_battery.py b/testing/mozbase/mozrunner/mozrunner/devices/emulator_battery.py
index 6f389152b2..9d7aab5baa 100644
--- a/testing/mozbase/mozrunner/mozrunner/devices/emulator_battery.py
+++ b/testing/mozbase/mozrunner/mozrunner/devices/emulator_battery.py
@@ -3,7 +3,7 @@
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
 
-class EmulatorBattery(object):
+class EmulatorBattery:
 
     def __init__(self, emulator):
         self.emulator = emulator
diff --git a/testing/mozbase/mozrunner/mozrunner/devices/emulator_geo.py b/testing/mozbase/mozrunner/mozrunner/devices/emulator_geo.py
index a8ec0e0899..65bd56f3c8 100644
--- a/testing/mozbase/mozrunner/mozrunner/devices/emulator_geo.py
+++ b/testing/mozbase/mozrunner/mozrunner/devices/emulator_geo.py
@@ -3,7 +3,7 @@
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
 
-class EmulatorGeo(object):
+class EmulatorGeo:
 
     def __init__(self, emulator):
         self.emulator = emulator
@@ -14,4 +14,4 @@ class EmulatorGeo(object):
         self.set_location(self.lon, self.lat)
 
     def set_location(self, lon, lat):
-        self.emulator._run_telnet('geo fix %0.5f %0.5f' % (self.lon, self.lat))
+        self.emulator._run_telnet('geo fix {:0.5f} {:0.5f}'.format(self.lon, self.lat))
diff --git a/testing/mozbase/mozrunner/mozrunner/devices/emulator_screen.py b/testing/mozbase/mozrunner/mozrunner/devices/emulator_screen.py
index 58bdda8124..fa18567b5a 100644
--- a/testing/mozbase/mozrunner/mozrunner/devices/emulator_screen.py
+++ b/testing/mozbase/mozrunner/mozrunner/devices/emulator_screen.py
@@ -3,7 +3,7 @@
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
 
-class EmulatorScreen(object):
+class EmulatorScreen:
     """Class for screen related emulator commands."""
 
     SO_PORTRAIT_PRIMARY = 'portrait-primary'
diff --git a/testing/mozbase/mozrunner/mozrunner/utils.py b/testing/mozbase/mozrunner/mozrunner/utils.py
index c26055f300..7c62df732c 100755
--- a/testing/mozbase/mozrunner/mozrunner/utils.py
+++ b/testing/mozbase/mozrunner/mozrunner/utils.py
@@ -6,6 +6,7 @@
 
 """Utility functions for mozrunner"""
 
+from __future__ import print_function
 import mozinfo
 import os
 import sys
@@ -63,7 +64,7 @@ def findInPath(fileName, path=os.environ['PATH']):
 
 if __name__ == '__main__':
     for i in sys.argv[1:]:
-        print findInPath(i)
+        print((findInPath(i)))
 
 
 def _find_marionette_in_args(*args, **kwargs):
diff --git a/testing/mozbase/mozrunner/tests/test_crash.py b/testing/mozbase/mozrunner/tests/test_crash.py
index 455fc5f72d..3048ed9f77 100644
--- a/testing/mozbase/mozrunner/tests/test_crash.py
+++ b/testing/mozbase/mozrunner/tests/test_crash.py
@@ -3,7 +3,7 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this file,
 # You can obtain one at http://mozilla.org/MPL/2.0/.
 
-import mock
+from unittest import mock
 
 import mozrunnertest
 
diff --git a/testing/mozbase/mozscreenshot/mozscreenshot/__init__.py b/testing/mozbase/mozscreenshot/mozscreenshot/__init__.py
index 56c62cb23c..8f42d31c2f 100644
--- a/testing/mozbase/mozscreenshot/mozscreenshot/__init__.py
+++ b/testing/mozbase/mozscreenshot/mozscreenshot/__init__.py
@@ -2,6 +2,7 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this file,
 # You can obtain one at http://mozilla.org/MPL/2.0/.
 
+from __future__ import print_function
 import os
 import mozinfo
 import tempfile
@@ -11,12 +12,12 @@ from mozlog.formatters.process import strstatus
 
 def printstatus(name, returncode):
     """
-    print the status of a command exit code, formatted for tbpl.
+    print(the status of a command exit code, formatted for tbpl.)
 
     Note that mozlog structured action "process_exit" should be used
     instead of that in new code.
     """
-    print "TEST-INFO | %s: %s" % (name, strstatus(returncode))
+    print(("TEST-INFO | %s: %s" % (name, strstatus(returncode))))
 
 
 def dump_screen(utilityPath, log):
@@ -56,6 +57,6 @@ def dump_screen(utilityPath, log):
             log.process_exit(utilityname, returncode)
         else:
             printstatus(utilityname, returncode)
-    except OSError, err:
+    except OSError as err:
         log.info("Failed to start %s for screenshot: %s"
                  % (utility[0], err.strerror))
diff --git a/testing/mozbase/mozsystemmonitor/mozsystemmonitor/resourcemonitor.py b/testing/mozbase/mozsystemmonitor/mozsystemmonitor/resourcemonitor.py
index 56a1f0ef70..a197e0185d 100644
--- a/testing/mozbase/mozsystemmonitor/mozsystemmonitor/resourcemonitor.py
+++ b/testing/mozbase/mozsystemmonitor/mozsystemmonitor/resourcemonitor.py
@@ -14,7 +14,7 @@ from collections import (
 )
 
 
-class PsutilStub(object):
+class PsutilStub:
 
     def __init__(self):
         self.sswap = namedtuple('sswap', ['total', 'used', 'free', 'percent', 'sin',
@@ -138,7 +138,7 @@ SystemResourceUsage = namedtuple('SystemResourceUsage',
                                   'cpu_times', 'cpu_percent', 'io', 'virt', 'swap'])
 
 
-class SystemResourceMonitor(object):
+class SystemResourceMonitor:
     """Measures system resources.
 
     Each instance measures system resources from the time it is started
diff --git a/testing/mozbase/mozsystemmonitor/mozsystemmonitor/test/test_resource_monitor.py b/testing/mozbase/mozsystemmonitor/mozsystemmonitor/test/test_resource_monitor.py
index b6763e20e9..657a58770b 100644
--- a/testing/mozbase/mozsystemmonitor/mozsystemmonitor/test/test_resource_monitor.py
+++ b/testing/mozbase/mozsystemmonitor/mozsystemmonitor/test/test_resource_monitor.py
@@ -56,7 +56,7 @@ class TestResourceMonitor(unittest.TestCase):
         monitor.stop()
 
         self.assertEqual(len(monitor.phases), 2)
-        self.assertEqual(['phase2', 'phase1'], monitor.phases.keys())
+        self.assertEqual(['phase2', 'phase1'], list(monitor.phases.keys()))
 
         all = list(monitor.range_usage())
         data1 = list(monitor.phase_usage('phase1'))
@@ -146,7 +146,7 @@ class TestResourceMonitor(unittest.TestCase):
         monitor.stop()
 
         v = monitor.min_memory_available()
-        self.assertIsInstance(v, long)
+        self.assertIsInstance(v, int)
 
         v = monitor.max_memory_percent()
         self.assertIsInstance(v, float)
diff --git a/testing/mozbase/moztest/moztest/__init__.py b/testing/mozbase/moztest/moztest/__init__.py
index 5820ed2eb6..be7852c9df 100644
--- a/testing/mozbase/moztest/moztest/__init__.py
+++ b/testing/mozbase/moztest/moztest/__init__.py
@@ -2,6 +2,6 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-import adapters
+from . import adapters
 
 __all__ = ['adapters']
diff --git a/testing/mozbase/moztest/moztest/adapters/__init__.py b/testing/mozbase/moztest/moztest/adapters/__init__.py
index 46bb3c6eb6..c0c72fc22b 100644
--- a/testing/mozbase/moztest/moztest/adapters/__init__.py
+++ b/testing/mozbase/moztest/moztest/adapters/__init__.py
@@ -2,6 +2,6 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-import unit
+from . import unit
 
 __all__ = ['unit']
diff --git a/testing/mozbase/moztest/moztest/adapters/unit.py b/testing/mozbase/moztest/moztest/adapters/unit.py
index cee0e05e92..3b27685b50 100644
--- a/testing/mozbase/moztest/moztest/adapters/unit.py
+++ b/testing/mozbase/moztest/moztest/adapters/unit.py
@@ -26,7 +26,7 @@ def get_test_class_name(test):
     passed in structured loggers. You can override the default by
     implementing a "get_test_class_name" method on you TestCase subclass.
     """
-    return "%s.%s" % (test.__class__.__module__,
+    return "{}.{}".format(test.__class__.__module__,
                       test.__class__.__name__)
 
 
diff --git a/testing/mozbase/moztest/moztest/output/autolog.py b/testing/mozbase/moztest/moztest/output/autolog.py
index b6c8368bd4..c5d5b77a2d 100644
--- a/testing/mozbase/moztest/moztest/output/autolog.py
+++ b/testing/mozbase/moztest/moztest/output/autolog.py
@@ -5,7 +5,7 @@
 
 from mozautolog import RESTfulAutologTestGroup
 
-from base import Output, count, long_name
+from .base import Output, count, long_name
 
 
 class AutologOutput(Output):
diff --git a/testing/mozbase/moztest/moztest/output/base.py b/testing/mozbase/moztest/moztest/output/base.py
index 7e39317fb1..9d0455a85e 100644
--- a/testing/mozbase/moztest/moztest/output/base.py
+++ b/testing/mozbase/moztest/moztest/output/base.py
@@ -3,7 +3,6 @@
 # You can obtain one at http://mozilla.org/MPL/2.0/.
 
 
-from __future__ import with_statement
 from contextlib import closing
 from StringIO import StringIO
 
@@ -13,8 +12,8 @@ except ImportError:
     # abc is python 2.6+
     # from https://github.com/mozilla/mozbase/blob/master/mozdevice/mozdevice/devicemanager.py
     def abstractmethod(method):
-        line = method.func_code.co_firstlineno
-        filename = method.func_code.co_filename
+        line = method.__code__.co_firstlineno
+        filename = method.__code__.co_filename
 
         def not_implemented(*args, **kwargs):
             raise NotImplementedError('Abstract method %s at File "%s", '
@@ -23,7 +22,7 @@ except ImportError:
         return not_implemented
 
 
-class Output(object):
+class Output:
     """ Abstract base class for outputting test results """
 
     @abstractmethod
@@ -49,5 +48,5 @@ def count(iterable):
 
 def long_name(test):
     if test.test_class:
-        return '%s.%s' % (test.test_class, test.name)
+        return '{}.{}'.format(test.test_class, test.name)
     return test.name
diff --git a/testing/mozbase/moztest/moztest/output/xunit.py b/testing/mozbase/moztest/moztest/output/xunit.py
index 0d0ef7bb4d..2189d15d75 100644
--- a/testing/mozbase/moztest/moztest/output/xunit.py
+++ b/testing/mozbase/moztest/moztest/output/xunit.py
@@ -5,7 +5,7 @@
 
 import xml.dom.minidom as dom
 
-from base import Output, count
+from .base import Output, count
 from moztest.results import TestResult
 
 
@@ -16,7 +16,7 @@ class XUnitOutput(Output):
         """ Writes the xUnit formatted results to the given file object """
 
         def _extract_xml(test_result, text='', result='Pass'):
-            if not isinstance(text, basestring):
+            if not isinstance(text, str):
                 text = '\n'.join(text)
 
             cls_name = test_result.test_class
@@ -86,7 +86,7 @@ class XUnitOutput(Output):
         for tr in results_collection.tests_with_result('PASS'):
             _extract_xml(tr, result='Pass')
 
-        for cls in classes.itervalues():
+        for cls in classes.values():
             assembly.appendChild(cls)
 
         doc.appendChild(assembly)
